<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE generatorConfiguration PUBLIC "-//mybatis.org//DTD MyBatis Generator Configuration 1.0//EN" "http://mybatis.org/dtd/mybatis-generator-config_1_0.dtd" >
<generatorConfiguration>
	<classPathEntry
        location="D:\Java\maven\repository\mysql\mysql-connector-java\5.1.21\mysql-connector-java-5.1.21.jar" />
	<context id="context1" >
		<commentGenerator>
			<property name="suppressAllComments" value="true" />
		</commentGenerator>
		
		<jdbcConnection 
			driverClass="com.mysql.jdbc.Driver"
			connectionURL="jdbc:mysql://10.227.24.77:3306/scrm_pe_pro" 
			userId="root"
			password="sage2016" />

<!-- 		<jdbcConnection  -->
<!-- 			driverClass="com.mysql.jdbc.Driver" -->
<!-- 			connectionURL="jdbc:mysql://localhost:3306/web_site"  -->
<!-- 			userId="root" -->
<!-- 			password="root" /> -->
			
		<javaTypeResolver>
			<property name="forceBigDecimals" value="false" />
		</javaTypeResolver>
			
		<!-- 生成模型的包名和位置 -->
		<javaModelGenerator 
			targetPackage="com.sage.scrm.module.sys.model" 
			targetProject="src/main/java" >
		</javaModelGenerator>
		
		<!-- 生成的映射文件包名和位置 -->
		<sqlMapGenerator 
			targetPackage="com.sage.scrm.module.sys.model" 
			targetProject="src/main/java" />
			
		<!-- 生成DAO的包名和位置 -->
		<javaClientGenerator 
			targetPackage="com.sage.scrm.module.sys.model"
			targetProject="src/main/java" 
			type="XMLMAPPER" >
			<property name="enableSubPackages" value="true"/>
		</javaClientGenerator>
		
		<table tableName="com_verification" enableCountByExample="false" enableSelectByExample="false" enableUpdateByExample="false" enableDeleteByExample="false" />  
		
	</context>
</generatorConfiguration>
<!-- 
mvn命令生成文件：
mybatis-generator:generate
 -->


